Summary: Maze monitoring facilities 
Name: maze
Version: 1.0.1
Release: 2%{?dist}
License: GPL/LGPL
Group: System Environment/Daemons
ExclusiveArch: i386 x86_64

Source0: maze-%{version}.tar.bz2
Source1: mazed.conf.sample
Source2: mazed.startup_script
Source3: mazed.sysconfig
Source4: 70-maze.rules
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%ifarch x86_64
%define mazelibdir %{_exec_prefix}/lib64
%else
%define mazelibdir %{_libdir}
%endif

%package libs
Summary: Maze monitoring API libraries
Group: System Environment/Libraries
License: LGPL

%package daemon
Summary: Maze monitoring daemon
Group: System Environment/Daemons
License: GPL
Requires: maze-libs = %{version}-%{release}

%package utils
Summary: Maze monitoring utility 
Group: Applications/System
License: GPL
Requires: maze-libs = %{version}-%{release}

%description
MAZE Monitoring function provides a mechanism that detects excessive 
CPU cycle usage by any process or thread. This feature is based on the 
OSDL CGL AVL14.0.
This package includes libraries, daemon and command line tool for maze
monitoring function. These components provide capability to control 
maze monitoring information of each process or thread.

%description libs
MAZE Monitoring function provides a mechanism that detects excessive 
CPU cycle usage by any process or thread. This feature is based on the 
OSDL CGL AVL14.0.
This package provides maze monitoring API libraries and header.
User applications can set or get maze infomation data using these libraries.

%description daemon
MAZE Monitoring function provides a mechanism that detects excessive 
CPU cycle usage by any process or thread. This feature is based on the 
OSDL CGL AVL14.0.
This package provides maze monitoring daemon and conf files.

%description utils
MAZE Monitoring function provides a mechanism that detects excessive 
CPU cycle usage by any process or thread. This feature is based on the 
OSDL CGL AVL14.0.
This package provides maze monitoring control command.


%prep

%setup -q -n %{name}-%{version}


%build

%configure \
	--libdir=%{mazelibdir}
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT/%{_bindir}
mkdir -p -m755 $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p -m755 $RPM_BUILD_ROOT/%{mazelibdir}
mkdir -p -m755 $RPM_BUILD_ROOT/%{_includedir}/maze
mkdir -p -m755 $RPM_BUILD_ROOT/etc
mkdir -p -m755 $RPM_BUILD_ROOT/etc/mazed
mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m755 $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p -m755 $RPM_BUILD_ROOT/etc/udev/rules.d
make install DESTDIR=$RPM_BUILD_ROOT

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/mazed/mazed.conf
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/mazed
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/mazed
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/etc/udev/rules.d/
%clean
rm -rf $RPM_BUILD_ROOT

%post daemon
/sbin/chkconfig --add mazed

%preun daemon
if [ "$1" = 0 ]
then
        /sbin/service mazed stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del mazed
fi

%postun daemon
if [ "$1" -ge "1" ]; then
	/etc/init.d/mazed condrestart > /dev/null 2>&1
fi

%files libs
%defattr(-,root,root)
%attr(0755,root,root) %{mazelibdir}/lib*
%attr(0644,root,root) %{_includedir}/maze/mazeinfo.h
%attr(0644,root,root) %config /etc/udev/rules.d/
%attr(0644,root,root) %doc LICENSE

%files daemon
%defattr(-,root,root)
%attr(0755,root,root) %{_sbindir}/mazed
%attr(0755,root,root) %config /etc/rc.d/init.d/mazed
%attr(0755,root,root) %config /etc/mazed/mazed.conf
%attr(0644,root,root) %config /etc/sysconfig/mazed

%files utils
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/mazeinfo
%attr(0644,root,root) %doc COPYING

%changelog
* Mon Mar 31 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> - 1.0.1-2%{?dist}
- Remove unneeded Obsoletes tag and remake tar.bz2 to simplify maintenance
- Add postun script to restart the mazed daemon

* Fri Mar 14 2008 Hirofumi Nakagawa <hnakagawa@miraclelinux.com> - 1.0.1-1%{?dist}
- Added /etc/udev/rules.d/70-maze.rules.
- Fix for use_notice file path in maze_common.h.
- Modify start up script to correspondence to the udev.

* Mon Feb 18 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> - 1.0.0-2%{?dist}
- Merged AX config

* Thu Jul  5 2007 Kazuhiro Yamato <kyamato@miraclelinux.com>
- Fix for exit process of init error.
- Modify start up script to pull the conf file from /etc/sysconfig

* Wed Jun 27 2007 Kazuhiro Yamato <kyamato@miraclelinux.com>
- Initial release.
